# SpeciesFormChangeCompoundTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeCompoundTrigger

- Defined in src/data/pokemon-forms.ts:239

##### Index

### Constructors

constructor

### Properties

description
triggers

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeCompoundTrigger(
  ...triggers: SpeciesFormChangeTrigger [],
  ): SpeciesFormChangeCompoundTrigger

  #### Parameters

  - ...triggers: SpeciesFormChangeTrigger []

  #### Returns SpeciesFormChangeCompoundTrigger

  - Defined in src/data/pokemon-forms.ts:243

## Properties

### description

description: string = ""

- Defined in src/data/pokemon-forms.ts:240

### triggers

triggers: SpeciesFormChangeTrigger []

- Defined in src/data/pokemon-forms.ts:241

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:251

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:261